跳转到内容

概览

  • Version: 2.0
  • 服务器https://api.xsolla.com/merchant/v2/

本API参考介绍管理订阅、优惠券和促销活动的端点。 如需了解关于订阅的详细信息,请参考产品指南词汇表

下载 OpenAPI 描述
语言
服务器
Mock server
https://xsolla.redocly.app/_mock/zh/api/subscriptions/
操作
操作
操作
操作
操作
操作
操作
操作

请求

安全
projectUserJwtAuth
路径
subscription_idinteger\d+必需
project_idinteger\d+必需
查询
localestring
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/zh/api/subscriptions/api/user/v1/projects/{project_id}/subscriptions/{subscription_id}?locale=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

响应

Get subscription info

正文application/json
chargeobject必需
charge.​amountnumber(float)必需
示例: 4.99
charge.​currencystring必需
示例: "USD"
charge.​setup_feenumber(float)必需
示例: 0.99
date_createstring(date-time)必需
示例: "2031-04-11T13:51:02+03:00"
date_endstring or null(date-time)
示例: "2031-04-11T13:51:02+03:00"
date_last_chargestring or null(date-time)
示例: "2031-04-11T13:51:02+03:00"
date_next_chargestring or null(date-time)
示例: "2031-04-11T13:51:02+03:00"
idinteger必需
示例: "12345"
is_change_plan_allowedboolean必需
示例: "false"
is_change_to_non_renew_possibleboolean必需
示例: "true"
is_in_trialboolean必需
示例: "false"
is_renew_possibleboolean必需
示例: "true"
periodobject必需
period.​unitstring or null
默认值 null
示例: "month"
period.​valueinteger or null
默认值 null
示例: "1"
plan_descriptionstring必需
示例: "Localized plan description"
plan_end_datestring or null(date-time)
示例: "2031-04-11T13:51:02+03:00"
plan_external_idstring必需
示例: "PlanExternalId"
plan_idinteger必需
示例: "54321"
plan_namestring必需
示例: "Localized plan name"
plan_start_datestring or null(date-time)
示例: "2021-04-11T13:51:02+03:00"
product_descriptionstring or null
示例: "Localized product description"
product_external_idstring or null
示例: "ProductExternalId"
product_idinteger or null
示例: "12345"
product_namestring or null
示例: "Product name"
statusstring必需
示例: "active"
trial_periodinteger or null
示例: "0"
响应
application/json
{ "charge": { "amount": 4.99, "currency": "USD", "setup_fee": 0.99 }, "date_create": "2031-04-11T13:51:02+03:00", "date_end": "2031-04-11T13:51:02+03:00", "date_last_charge": "2031-04-11T13:51:02+03:00", "date_next_charge": "2031-04-11T13:51:02+03:00", "id": "12345", "is_change_plan_allowed": "false", "is_change_to_non_renew_possible": "true", "is_in_trial": "false", "is_renew_possible": "true", "period": { "unit": "month", "value": "1" }, "plan_description": "Localized plan description", "plan_end_date": "2031-04-11T13:51:02+03:00", "plan_external_id": "PlanExternalId", "plan_id": "54321", "plan_name": "Localized plan name", "plan_start_date": "2021-04-11T13:51:02+03:00", "product_description": "Localized product description", "product_external_id": "ProductExternalId", "product_id": "12345", "product_name": "Product name", "status": "active", "trial_period": "0" }

请求

安全
projectUserJwtAuth
路径
subscription_idinteger\d+必需
project_idinteger\d+必需
curl -i -X PUT \
  'https://xsolla.redocly.app/_mock/zh/api/subscriptions/api/user/v1/projects/{project_id}/subscriptions/{subscription_id}/cancel' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

响应

Make subscription non-renewable

正文application/json
响应
application/json
null

请求

安全
projectUserJwtAuth
路径
subscription_idinteger\d+必需
project_idinteger\d+必需
正文application/json必需

Renew subscription

custom_parametersobject or null

You can pass additional parameters in the token

默认值 null
settings(object or null)
(object or null)
steam_user_idstring or null
curl -i -X POST \
  'https://xsolla.redocly.app/_mock/zh/api/subscriptions/api/user/v1/projects/{project_id}/subscriptions/{subscription_id}/renew' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "custom_parameters": null,
    "settings": {
      "currency": "str",
      "external_id": "string",
      "hide_saved_payment_accounts": true,
      "locale": "st",
      "payment_method": 1,
      "redirect_policy": {
        "delay": 0,
        "redirect_button_caption": "string",
        "redirect_conditions": "none",
        "status_for_manual_redirection": "none"
      },
      "return_url": "string",
      "steam_user_id": "stringstringstrin",
      "ui": {
        "desktop": {
          "header": {
            "close_button": true,
            "is_visible": true,
            "type": "compact",
            "visible_logo": true,
            "visible_name": true
          }
        },
        "independent_windows": true,
        "license_url": "string",
        "mobile": {
          "footer": {
            "is_visible": true
          },
          "header": {
            "close_button": true
          },
          "mode": "saved_accounts"
        },
        "mode": "user_account",
        "size": "large",
        "theme": "string",
        "user_account": {
          "history": {
            "enable": true,
            "order": 1
          },
          "info": {
            "enable": true,
            "order": 1
          },
          "payment_accounts": {
            "enable": true,
            "order": 1
          },
          "subscriptions": {
            "enable": true,
            "order": 1
          }
        },
        "version": "desktop"
      },
      "xsolla_product_tag": "string"
    },
    "steam_user_id": "string"
  }'

响应

Get subscription renew url

正文application/json
link_to_psstring必需
示例: "https://secure.xsolla.com/paystation2/?access_token=<access_token>"
响应
application/json
{ "link_to_ps": "https://secure.xsolla.com/paystation2/?access_token=<access_token>" }
操作
操作
操作
操作